{% extends 'base.html' %}


{% block body_block %}

    {#{% block content %}#}
    {#    <form action="" method="post"> {% csrf_token %}#}
    {#        {{ form.as_p }}#}
    <p align="center" style="color:whitesmoke;"> Add Card</p>

    <form id="add_card" add-card-url="{% url 'pages:add_card_of_shop' %}" method="post" action="">
        {% csrf_token %}
        {# A more "HTML" way of creating the login form#}
{#        <ul align="center">#}
{##}
{#            <label for="card_number">Card Number:</label>#}
{#            <input type="text" name="card_number" placeholder="Card_number">#}
{#        </ul>#}
{#        <ul align="center">#}
{#            <label for="card_name">Card Name:</label>#}
{#            <input type="card_name" name="card_name" placeholder="Card_name">#}
{#        </ul>#}
{#         <ul align="center">#}
{#            <label for="shop_name">Shop Name:</label>#}
{#            <input type="shop_name" name="shop_name" placeholder="Shop_name">#}
{#        </ul>#}
       {{ form.as_p }}


        <ul align="center">
             <input type="submit" value="Create"/>
        </ul>

    </form>
<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script>
    $("#id_shop_id").change(function () {
      console.log("test");
        var url = $("#add_card").attr("add-card-url");
        var shop = $(this).val();

     $.ajax({
        url: url,
        data: {
          'shop': shop
        },
        success: function(data) {
            $("#id_card_id").html(data);
        }
      });

    });
  </script>

    {#    <input type="submit" value="Create"/>#}

{#    </form>#}
{% endblock %}

</body>
</html>